Loading...
Searching...
No Matches
Opm::BlackOilEnergyIntensiveQuantities< TypeTag, false > Class Template Reference

## Public Member Functions

void | updateTemperature_ (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
template<class Problem>
void | updateTemperature_ (const Problem &problem, const PrimaryVariables &priVars, unsigned globalDofIdx, unsigned timeIdx, const LinearizationType &lintype)
void | updateEnergyQuantities_ (const ElementContext &, unsigned, unsigned, const typename FluidSystem::template ParameterCache< Evaluation > &)
const Evaluation & | rockInternalEnergy () const
const Evaluation & | totalThermalConductivity () const

## Protected Member Functions

Implementation & | asImp_ ()

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilenergymodules.hh